| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::SharedPtrInfo Struct Reference
Core » General

`#include <OgreSharedPtr.h>`

Inheritance diagram for Ogre::SharedPtrInfo:
[legend]

## Public Member Functions
| SharedPtrInfo ()
virtual | ~SharedPtrInfo ()

## Public Attributes
AtomicScalar< unsigned > | useCount

## Constructor & Destructor Documentation

## ◆ SharedPtrInfo()

Ogre::SharedPtrInfo::SharedPtrInfo | ( |  | ) |
| inline

## ◆ ~SharedPtrInfo()

virtual Ogre::SharedPtrInfo::~SharedPtrInfo | ( |  | ) |
| inline virtual

## Member Data Documentation

## ◆ useCount

AtomicScalar<unsigned> Ogre::SharedPtrInfo::useCount

Referenced by Ogre::SharedPtr< Skeleton >::reset(), Ogre::SharedPtr< Skeleton >::setUseCount(), Ogre::SharedPtr< Skeleton >::SharedPtr(), Ogre::SharedPtr< Skeleton >::unique(), and Ogre::SharedPtr< Skeleton >::use_count().

The documentation for this struct was generated from the following file:

- OgreSharedPtr.h